#AutoIt3Wrapper_Au3Check_Parameters=-d -w 1 -w 2 -w 3 -w 4 -w 5 -w 6 -w 7
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include "_GoogleWeather.au3" ; Include the _GoogleWeather.au3 UDF.

;****************************************************************************************
;***** Author: 	Matthew Mansfield													*****
;***** Email: 	mmansfield@mansfield-engineering.com								*****
;***** Date: 	04/13/2012															*****
;***** Purpose:	This program is designed to advise the upcoming weather forecast	*****
;****			Mesa, AZ															*****
;****************************************************************************************

Local $file = FileOpen("test.txt", 0)

Example_1()

Func Example_1()
	Local $aLocation, $hGUI, $iClose, $iHeight = 150, $iWidth = 340, $realtemp
	Local $aCurrent, $aForecast, $aInfo, $iTemperature, $sLocation, $aReturn

	; Get the weather information for Phoenix.
	$sLocation = _GoogleWeather_Get("Mesa, Arizona")

	; Retrieve information for the current weather, passing the data returned by _GoogleWeather_Get.
	$aCurrent = _GoogleWeather_Current($sLocation)

	; Retrieve the forecast for the next 4 days, passing the data returned by _GoogleWeather_Get.
	$aForecast = _GoogleWeather_Forecast($sLocation)

	; Retrieve general information about the current location and forecast, passing the data returned by _GoogleWeather_Get.
	$aInfo = _GoogleWeather_Information($sLocation)
	
	; Retrieve the forecast for the next 4 days, passing the data returned by _GoogleWeather_Get.
	$aReturn = _GoogleWeather_Forecast($sLocation)
	;_ArrayDisplay($aReturn, "_GoogleWeather_Forecast()")

	
	; Another sample which automatically creates the directory structure
	
$file2 = FileOpen("4_day_forecast.vbs", 10) ; which is similar to 2 + 8 (erase + create dir)
$String10 = "objvoice.Speak ("
$String20 = "The forecast is "
$String30 = "ahrenheit"
$String40 = " )"
			;Return Round($iTemperature * (9 / 5) + 32) & ChrW(176) & "F"
$day1_high = Round($aReturn[1][1] * (9 / 5) + 32) ;   & " degrees Fahrenheit" ; ChrW(176) & "F"
$day1_low = Round($aReturn[1][2] * (9 / 5) + 32) ; & " degrees Fahrenheit"

$day2_high = Round($aReturn[2][1] * (9 / 5) + 32) ; & " degrees Fahrenheit"
$day2_low = Round($aReturn[2][2] * (9 / 5) + 32)  ;& " degrees Fahrenheit"

$day3_high = Round($aReturn[3][1] * (9 / 5) + 32);  & " degrees Fahrenheit"
$day3_low = Round($aReturn[3][2] * (9 / 5) + 32) ; & " degrees Fahrenheit"

$day4_high = Round($aReturn[4][1] * (9 / 5) + 32);  & " degrees Fahrenheit"
$day4_low = Round($aReturn[4][2] * (9 / 5) + 32) ; & " degrees Fahrenheit"

$frontcap = "objvoice.Speak ("
$beginning = " showing " 
$middle = " with a high of "
$end = " and a low of "
$backcap = " )"


If $file2 = -1 Then
    MsgBox(0, "Error", "Unable to open file.")
    Exit
EndIf

	FileWriteLine($file2, "Set objvoice = CreateObject(""SAPI.Spvoice"")")
	
	;day 1 out:
	FileWriteLine($file2, $frontcap & """" & $aReturn[1][0] & $beginning & $aReturn[1][4] & $middle & $day1_high & $end & $day1_low & """" & $backcap)
	;day 2 out:
	FileWriteLine($file2, $frontcap & """" & $aReturn[2][0] & $beginning & $aReturn[2][4] & $middle & $day2_high & $end & $day2_low & """" & $backcap)
	;day 3 out:
	FileWriteLine($file2, $frontcap & """" & $aReturn[3][0] & $beginning & $aReturn[3][4] & $middle & $day3_high & $end & $day3_low & """" & $backcap)
	;day 4 out:
	FileWriteLine($file2, $frontcap & """" & $aReturn[4][0] & $beginning & $aReturn[4][4] & $middle & $day4_high & $end & $day4_low & """" & $backcap)
	
	
	; " & $aCurrent[4] & ")" )
	;GUICtrlCreateLabel("Tomorrow will be " & $aForecast[1][4] & " with an average temperature of " & $realtemp & ".", 5, 75, $iWidth - 75, 60)
	
FileClose($file2)
	
EndFunc
